events {
    worker_connections  1024;  ## Default: 1024
}

http {
    upstream node-app {
        server order1:3000 weight=1 max_fails=3 fail_timeout=30s;
        server order2:3000 weight=1 max_fails=3 fail_timeout=30s;
        server order3:3000 weight=1 max_fails=3 fail_timeout=30s;
        server order4:3000 weight=1 max_fails=3 fail_timeout=30s;
        server order5:3000 weight=1 max_fails=3 fail_timeout=30s;
    }
    server {

        listen 443 ssl;
        ssl on;
        ssl_certificate /etc/nginx/cert/cert.pem;
        ssl_certificate_key /etc/nginx/cert/key.pem;
        ssl_protocols   SSLv2 SSLv3 TLSv1 TLSv1.1 TLSv1.2;
        ssl_ciphers ALL:!aNULL:!EXPORT56:RC4+RSA:+HIGH:+MEDIUM:+LOW:+SSLv2:+EXP;
        ssl_prefer_server_ciphers   on;
        location / {
            proxy_pass http://node-app;
            proxy_http_version 1.1;
        }
    }
}
